id: '9aea727b-38a3-4911-adaf-b5f8ac65856e'
name: 'Parquet_AW2019_Local'
timestamp: '2024-09-11T07:48:11.2106442Z'
sourceSystem:
  type: 'Parquet'
sourceObjects:
- name: 'CreditCard'
  objectType: {}
  terms:
  - name: 'creditcardid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'cardtype'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'cardnumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'expmonth'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'expyear'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
      attributes:
      - key: 'IsAdjustedToUTC'
        value: 'false'
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Currency'
  objectType: {}
  terms:
  - name: 'currencycode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'CurrencyRate'
  objectType: {}
  terms:
  - name: 'currencyrateid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'currencyratedate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'fromcurrencycode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'tocurrencycode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'averagerate'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'endofdayrate'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Customer'
  objectType: {}
  terms:
  - name: 'customerid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'personid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'storeid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'territoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'accountnumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Department'
  objectType: {}
  terms:
  - name: 'departmentid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'groupname'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Employee'
  objectType: {}
  terms:
  - name: 'businessentityid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'nationalidnumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'loginid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'organizationnode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'organizationlevel'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'jobtitle'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'birthdate'
    sourceDataType:
      name: 'date'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'maritalstatus'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'gender'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'hiredate'
    sourceDataType:
      name: 'date'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'salariedflag'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'vacationhours'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'sickleavehours'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'currentflag'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'EmployeeDepartmentHistory'
  objectType: {}
  terms:
  - name: 'businessentityid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'departmentid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'shiftid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'startdate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'enddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Person'
  objectType: {}
  terms:
  - name: 'businessentityid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'persontype'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'namestyle'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'title'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'firstname'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'middlename'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'lastname'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'suffix'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'emailpromotion'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'additionalcontactinfo'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'demographics'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PersonPhone'
  objectType: {}
  terms:
  - name: 'businessentityid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'phonenumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'phonenumbertypeid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'PhoneNumberType'
  objectType: {}
  terms:
  - name: 'phonenumbertypeid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'Product'
  objectType: {}
  terms:
  - name: 'productid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productnumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'makeflag'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'finishedgoodsflag'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'color'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'safetystocklevel'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'reorderpoint'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'standardcost'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'listprice'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'size'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'sizeunitmeasurecode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'weightunitmeasurecode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'weight'
    sourceDataType:
      name: 'decimal'
      scale: 2
      precision: 8
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'daystomanufacture'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productline'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'class'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'style'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productsubcategoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productmodelid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'sellstartdate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'sellenddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'discontinueddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'ProductCategory'
  objectType: {}
  terms:
  - name: 'productcategoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'ProductSubcategory'
  objectType: {}
  terms:
  - name: 'productsubcategoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productcategoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesOrderDetail'
  objectType: {}
  terms:
  - name: 'salesorderid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'salesorderdetailid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'carriertrackingnumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'orderqty'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'productid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'specialofferid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'unitprice'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'unitpricediscount'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'linetotal'
    sourceDataType:
      name: 'decimal'
      scale: 6
      precision: 38
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesOrderHeader'
  objectType: {}
  terms:
  - name: 'salesorderid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'revisionnumber'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'orderdate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'duedate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'shipdate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'status'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'onlineorderflag'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'salesordernumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'purchaseordernumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'accountnumber'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'customerid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'salespersonid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'territoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'billtoaddressid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'shiptoaddressid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'shipmethodid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'creditcardid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'creditcardapprovalcode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'currencyrateid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'subtotal'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'taxamt'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'freight'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'totaldue'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'comment'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
- name: 'SalesTerritory'
  objectType: {}
  terms:
  - name: 'territoryid'
    sourceDataType:
      name: 'int32'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'name'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'countryregioncode'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'group'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'salesytd'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'saleslastyear'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'costytd'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'costlastyear'
    sourceDataType:
      name: 'decimal'
      scale: 4
      precision: 19
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'rowguid'
    sourceDataType:
      name: 'string'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
  - name: 'modifieddate'
    sourceDataType:
      name: 'timestamp'
      isNullable: true
    isIdentity: false
    isBusinessKey: false
    isForeignKey: false
    isDefaultTerm: false
